> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Summary

> Retrieve genetic variants summary.

Example: variant_id = NC_000020.11:3658947:A:G,

spdi = NC_000020.11:3658947:A:G,

hgvs = NC_000020.11:g.3658948A>G.

ca_id = CA739473472



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/summary
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/summary:
    get:
      summary: Variants Summary
      description: |-
        Retrieve genetic variants summary.

        Example: variant_id = NC_000020.11:3658947:A:G,

        spdi = NC_000020.11:3658947:A:G,

        hgvs = NC_000020.11:g.3658948A>G.

        ca_id = CA739473472
      operationId: variantSummary
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      rsid:
                        type: array
                        items:
                          type: string
                        nullable: true
                      varinfo:
                        type: string
                        nullable: true
                      spdi:
                        type: string
                        nullable: true
                      hgvs:
                        type: string
                        nullable: true
                      ca_id:
                        type: string
                        nullable: true
                      ref:
                        type: string
                        nullable: true
                      alt:
                        type: string
                        nullable: true
                    additionalProperties: false
                  allele_frequencies_gnomad: {}
                  cadd_scores:
                    type: object
                    properties:
                      raw:
                        type: number
                        nullable: true
                      phread:
                        type: number
                        nullable: true
                    additionalProperties: false
                    nullable: true
                  nearest_genes:
                    type: object
                    properties:
                      nearestCodingGene:
                        type: object
                        properties:
                          gene_name:
                            type: string
                            nullable: true
                          id:
                            type: string
                          start:
                            type: number
                          end:
                            type: number
                          distance:
                            type: number
                        required:
                          - id
                          - start
                          - end
                          - distance
                        additionalProperties: false
                      nearestGene:
                        type: object
                        properties:
                          gene_name:
                            type: string
                            nullable: true
                          id:
                            type: string
                          start:
                            type: number
                          end:
                            type: number
                          distance:
                            type: number
                        required:
                          - id
                          - start
                          - end
                          - distance
                        additionalProperties: false
                    required:
                      - nearestCodingGene
                      - nearestGene
                    additionalProperties: false
                required:
                  - summary
                  - nearest_genes
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````